| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
IoComponentMgr.cpp File Reference
`#include "IoComponentMgr.h"`
`#include "GaudiKernel/FileIncident.h"`
`#include "GaudiKernel/IFileMgr.h"`
`#include "GaudiKernel/IIncidentSvc.h"`
`#include "GaudiKernel/Property.h"`
`#include "GaudiKernel/ServiceHandle.h"`
`#include <boost/algorithm/string/predicate.hpp>`
`#include <boost/filesystem.hpp>`
`#include <algorithm>`
`#include <array>`
Include dependency graph for IoComponentMgr.cpp:

Go to the source code of this file.

## Macros
#define | ON_DEBUG if ( UNLIKELY( outputLevel() <= MSG::DEBUG ) )
#define | ON_VERBOSE if ( UNLIKELY( outputLevel() <= MSG::VERBOSE ) )
#define | DEBMSG ON_DEBUG debug()
#define | VERMSG ON_VERBOSE verbose()

## Functions
std::ostream & | operator<< (std::ostream &os, const IIoComponentMgr::IoMode::Type &m)

## Macro Definition Documentation

#define DEBMSG ON_DEBUG debug()

Definition at line 25 of file IoComponentMgr.cpp.

#define ON_DEBUG if ( UNLIKELY( outputLevel() <= MSG::DEBUG ) )

Definition at line 22 of file IoComponentMgr.cpp.

#define ON_VERBOSE if ( UNLIKELY( outputLevel() <= MSG::VERBOSE ) )

Definition at line 23 of file IoComponentMgr.cpp.

#define VERMSG ON_VERBOSE verbose()

Definition at line 26 of file IoComponentMgr.cpp.

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const IIoComponentMgr::IoMode::Type & | m
| ) |  |

Definition at line 32 of file IoComponentMgr.cpp.

33 {
34 switch ( m ) {
35 case IIoComponentMgr::IoMode::READ:
36 os << "READ";
37 break;
38 case IIoComponentMgr::IoMode::WRITE:
39 os << "WRITE";
40 break;
41 case IIoComponentMgr::IoMode::RW:
42 os << "RW";
43 break;
44 default:
45 os << "INVALID";
46 break;
47 }
48
49 return os;
50 }
IIoComponentMgr::IoMode::RW
Definition: IIoComponentMgr.h:32
Gaudi::Units::m
constexpr double m
Definition: SystemOfUnits.h:94
IIoComponentMgr::IoMode::WRITE
Definition: IIoComponentMgr.h:32
IIoComponentMgr::IoMode::READ
Definition: IIoComponentMgr.h:32